Get Automatic SSL/TLS enrollment status for the given zone
GET/zones/{zone_id}/settings/ssl_automatic_mode
If the system is enabled, the response will include next_scheduled_scan, representing the next time this zone will be scanned and the zone’s ssl/tls encryption mode is potentially upgraded by the system. If the system is disabled, next_scheduled_scan will not be present in the response body.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Get Automatic SSL/TLS enrollment status for the given zone
curl https://api.cloudflare.com/client/v4/zones/$ZONE_ID/settings/ssl_automatic_mode \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"errors": [],
"messages": [],
"result": {
"editable": true,
"id": "ssl_automatic_mode",
"modified_on": "2014-01-01T05:20:00.12345Z",
"next_scheduled_scan": "2014-02-01T05:20:00.12345Z",
"value": "auto"
},
"success": true
}{
"errors": [],
"messages": [],
"result": {
"editable": true,
"id": "ssl_automatic_mode",
"modified_on": "2014-01-01T05:20:00.12345Z",
"value": "custom"
},
"success": true
}{
"errors": [
{
"code": 1008,
"message": "Invalid SSL/TLS encryption configuration value, only auto or custom accepted"
}
],
"messages": [],
"result": {
"editable": true,
"id": "ssl_automatic_mode",
"modified_on": "2014-01-01T05:20:00.12345Z",
"value": "custom"
},
"success": false
}Returns Examples
{
"errors": [],
"messages": [],
"result": {
"editable": true,
"id": "ssl_automatic_mode",
"modified_on": "2014-01-01T05:20:00.12345Z",
"next_scheduled_scan": "2014-02-01T05:20:00.12345Z",
"value": "auto"
},
"success": true
}{
"errors": [],
"messages": [],
"result": {
"editable": true,
"id": "ssl_automatic_mode",
"modified_on": "2014-01-01T05:20:00.12345Z",
"value": "custom"
},
"success": true
}{
"errors": [
{
"code": 1008,
"message": "Invalid SSL/TLS encryption configuration value, only auto or custom accepted"
}
],
"messages": [],
"result": {
"editable": true,
"id": "ssl_automatic_mode",
"modified_on": "2014-01-01T05:20:00.12345Z",
"value": "custom"
},
"success": false
}